// file: lxn_node_4.cc
//

// isip include files
//
#include "lex_node.h"
#include "lex_node_constants.h"

// method: add_child_cc
//
// arguments:
//  Lex_node* node : (input) the lexical node to be added as child
//
// return: a logical_1 flag indicating success
//
// this method inserts the given lexical node into the list of child
// nodes
//
logical_1 Lex_node::add_child_cc(Lex_node* node_a) {

  // make sure the link list of children exists
  //
  if (child_d == (Link_list*)NULL) {
    child_d = new Link_list();
  }

  // add the input node to this list
  //
  child_d->insert_cc(node_a);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
